org.apache.commons.ssl.util

## Class Hex

- java.lang.Object
- - org.apache.commons.ssl.util.Hex

    public class Hex
    extends java.lang.Object

Utility class for dealing with hex-encoding of binary data.

Since:
  13-Nov-2007
Author:
  juliusdavies@gmail.com

### Constructor Summary

Constructors
Constructor and Description
`Hex()`

### Method Summary

Methods
`static byte[]` `decode(byte[] hexString)`
`static byte[]` `decode(java.lang.String s)`
`static java.lang.String` `encode(byte[] b)`
`static java.lang.String` `encode(byte[] b, int offset, int length)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Hex

    public Hex()

### Method Detail

#### decode

    public static byte[] decode(java.lang.String s)

#### decode

    public static byte[] decode(byte[] hexString)

#### encode

    public static java.lang.String encode(byte[] b)

#### encode

    public static java.lang.String encode(byte[] b,
                          int offset,
                          int length)